/* Additional Layout Classes */
.icon-row-5 > div {
  max-width: calc(20% - 2rem);
  min-width: 15ch;
}

@media (max-width: 900px) {
  /* Extend media-and-text block stacking to 900px */
  .wp-block-media-text.is-stacked-on-mobile,
  .wp-block-media-text.is-stacked-on-mobile.has-media-on-the-right {
    grid-template-columns: 100% !important;
  }
  .wp-block-media-text.is-stacked-on-mobile > .wp-block-media-text__content,
  .wp-block-media-text.is-stacked-on-mobile.has-media-on-the-right > .wp-block-media-text__content {
    grid-column: 1;
    grid-row: 2;
  }
  .wp-block-media-text.is-stacked-on-mobile > .wp-block-media-text__media,
  .wp-block-media-text.is-stacked-on-mobile.has-media-on-the-right > .wp-block-media-text__media {
    grid-column: 1;
    grid-row: 1;
  }
}
@media (max-width: 1275px) {
  /* Add padding to full-width containers when narrower than wide-width */
  .alignfull.has-background {
    padding-inline: var(--wp--preset--spacing--50);
  }
}
.is-bottom-aligned {
  display: flex;
  align-items: flex-end;
}

/* Additional design styles */
.has-text-decoration-none {
  text-decoration: none;
}

.wp-block-accordion .wp-block-accordion-item {
  border-bottom: 2px solid var(--wp--preset--color--sky-100);
  margin: 0;
  padding-block: 0.25rem;
}
.wp-block-accordion .wp-block-accordion-heading__toggle-icon {
  font-size: 0;
  position: relative;
  overflow: visible;
  display: flex;
  width: 34px;
  height: 32px;
  align-items: center;
  justify-content: center;
}
.wp-block-accordion .wp-block-accordion-heading__toggle-icon::after {
  content: "\f055";
  font-family: "Font Awesome 7 Pro";
  font-size: 32px;
  display: block;
  aspect-ratio: 1;
  color: var(--wp--preset--color--goldenrod-100);
}
.wp-block-accordion .wp-block-accordion-panel {
  transition: all 0.2s ease-out allow-discrete;
  interpolate-size: allow-keywords;
  height: auto;
  overflow: hidden;
  margin-top: 0.5rem;
}
.wp-block-accordion .wp-block-accordion-panel[aria-hidden=true], .wp-block-accordion .wp-block-accordion-panel[inert] {
  display: block;
  height: 0;
  padding: 0;
  margin: 0;
}

/* Gravity Forms overrides */
.wp-theme-insight-pa-landing-pages .gform-theme--foundation .ginput_container input:not([type=checkbox]),
.wp-theme-insight-pa-landing-pages .gform-theme--foundation .ginput_container select {
  --gf-ctrl-border-color: #D9D9D9;
  box-shadow: 0 4px 4px 0 rgba(0, 0, 0, 0.25);
  border-bottom: 4px solid var(--wp--preset--color--goldenrod-100);
}
.wp-theme-insight-pa-landing-pages .gform-theme--foundation .ginput_address_state,
.wp-theme-insight-pa-landing-pages .gform-theme--foundation .ginput_address_zip {
  inline-size: 100%;
}
.wp-theme-insight-pa-landing-pages .gform-theme--foundation .gform_required_legend {
  display: none;
}
.wp-theme-insight-pa-landing-pages .gform-theme--foundation .gform_button {
  font-weight: bold !important;
  width: 75% !important;
  margin-inline: auto !important;
}
.wp-theme-insight-pa-landing-pages .gform-theme--foundation .gfield_html {
  font-size: var(--wp--preset--font-size--smaller);
}

/* Specific Block Styles */
header .nav-container {
  padding-block: 20px;
  position: relative;
  z-index: 11;
}
@media (max-width: 1275px) {
  header .nav-container {
    padding-inline: var(--wp--preset--spacing--50);
  }
}
@media (max-width: 700px) {
  header .nav-container {
    padding: 0;
    flex-direction: column-reverse;
    align-items: stretch;
  }
  header .nav-container .wp-block-site-logo {
    text-align: center;
    margin-top: 85px;
  }
  header .nav-container .wp-block-tiptip-hyperlink-group-block {
    background-color: var(--wp--preset--color--goldenrod-100);
    text-align: center;
    position: fixed;
    width: 100%;
    top: 0;
    z-index: 10;
  }
  header .nav-container .wp-block-tiptip-hyperlink-group-block div {
    justify-content: center;
  }
}
@media (min-width: 701px) {
  header {
    position: sticky;
    top: 0;
    z-index: 10;
    background-color: #fff;
  }
}

.hero.wp-block-cover {
  padding: 0;
  justify-content: stretch;
}
.hero.wp-block-cover > .wp-block-cover__inner-container {
  align-self: stretch;
}
.hero.wp-block-cover > .wp-block-cover__inner-container > .wp-block-media-text {
  height: 100%;
}
.hero.wp-block-cover > .wp-block-cover__inner-container > .wp-block-media-text > .wp-block-media-text__content {
  padding-left: 0;
}

@media (max-width: 900px) {
  .hero.wp-block-cover {
    margin-inline: -1.5rem !important;
  }
  .hero.wp-block-cover h1 {
    margin-top: 3rem;
    font-size: clamp(1.5rem, 0.4583rem + 4.4444vw, 2.125rem) !important;
  }
  .hero.wp-block-cover > .wp-block-cover__inner-container > .wp-block-media-text.is-stacked-on-mobile > .wp-block-media-text__content {
    padding: var(--wp--preset--spacing--50);
  }
  .niche-best-schools.wp-block-media-text.is-stacked-on-mobile > .wp-block-media-text__content {
    padding: 0;
  }
  .niche-best-schools.wp-block-media-text.is-stacked-on-mobile .wp-block-media-text__media {
    position: absolute;
    top: 180px;
    z-index: 1;
    right: 10px;
    width: 125px;
  }
  #right-for-your-family > div {
    align-items: flex-start;
  }
}
